class TDM_StatsMutator expands Mutator config(TDM_DB);

var bool bAlreadyUpdated;

var config string 	ID[10000];
var config string	Name[10000];
var config int 		Score[10000];
var config int 		Deaths[10000];
var config int 		Games[10000];
var config int		Headshots[10000];
var config int		Telefrags[10000];
var config int		Suicides[10000];

var config string 	topID[20];
var config string	topName[20];
var config int 		topScore[20];
var config int 		topDeaths[20];
var config int 		topGames[20];
var config int		topHeadshots[20];
var config int		topTelefrags[20];
var config int		topSuicides[20];

function PreBeginPlay ()
{
	Super.PreBeginPlay();
	SetTimer(1.0,True);
	SaveConfig();
}

function bool HandleEndGame()
{
local Pawn P;

	Super.HandleEndGame();

	if (!bAlreadyUpdated)
		{
		UpdateDB();
		FindTopPlayers();
		SaveConfig();
		}
	bAlreadyUpdated = True;
	if (NextMutator != None)
		return (NextMutator.HandleEndGame());
}

function Timer()
{

	TopToPRI();
}


function bool AlwaysKeep(Actor Other) 
{	
	if (Other.IsA('PlayerPawn'))
        	{
		PlayerPawn(Other).PlayerReplicationInfoClass = class'PRI';
		return true;
		}

	if (NextMutator != None)
		return (NextMutator.AlwaysKeep(Other));	
	return false;
}


function bool PreventDeath (Pawn Killed, Pawn Killer, name damageType, vector HitLocation)
{
	if ( Killer.IsA('PlayerPawn') && damageType == 'Decapitated' && Killer != Killed )
		{
		PRI(PlayerPawn(Killer).PlayerReplicationInfo).Headshots++;
		}
	else if ( Killer.IsA('PlayerPawn') && Killer.Weapon.IsA('Translocator') && Killer != Killed )
		{
		PRI(PlayerPawn(Killer).PlayerReplicationInfo).Telefrags++;
		}
	if ( NextMutator != None )
		{
		NextMutator.PreventDeath(Killer, Killed, damageType, HitLocation);
		}
}

function ScoreKill(pawn Killer, pawn Other)
{
	Super.ScoreKill(Killer, Other);

	if ( Killer == Other || killer == None )
		{
		if ( Other.IsA('PlayerPawn') )
			PRI(PlayerPawn(Other).PlayerReplicationInfo).Suicides++;
		}

	if ( NextMutator != None )
		{
		NextMutator.ScoreKill(Killer, Other);
		}
}

function UpdateDB()
{
local string KeyName,IDp,Value,NewValue;
local int Num, i;
local Pawn P;

	for (P = Level.PawnList; P != None; P = P.NextPawn)
		{
		if ( P.IsA('PlayerPawn') )
			{
			//Cycle database and assign new values:
			for (i=0;i<10000;i++)
				{
				if ( P.PlayerReplicationInfo.PlayerName == ID[i] || ID[i] == "" )
					{
					ID[i] = P.PlayerReplicationInfo.PlayerName;
					Score[i] += P.PlayerReplicationInfo.Score;
					Deaths[i] += P.PlayerReplicationInfo.Deaths;
					Games[i]++;
					Name[i] = P.PlayerReplicationInfo.PlayerName;
					Headshots[i] += PRI(PlayerPawn(P).PlayerReplicationInfo).Headshots;
					Telefrags[i] += PRI(PlayerPawn(P).PlayerReplicationInfo).Telefrags;
					Suicides[i] += PRI(PlayerPawn(P).PlayerReplicationInfo).Suicides;
					i = 50000;
					}
				}
			}
		}
}

function TopToPRI()
{
local Pawn P;
local int i;

	for (P = Level.PawnList; P != None; P = P.NextPawn)
		{
		if ( P.IsA('PlayerPawn') )
			{
			//#1
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player1 = topName[0];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score1 = topScore[0];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths1 = topDeaths[0];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games1 = topGames[0];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots1 = topHeadshots[0];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags1 = topTelefrags[0];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides1 = topSuicides[0];
			//#2
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player2 = topName[1];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score2 = topScore[1];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths2 = topDeaths[1];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games2 = topGames[1];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots2 = topHeadshots[1];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags2 = topTelefrags[1];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides2 = topSuicides[1];
			//#3
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player3 = topName[2];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score3 = topScore[2];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths3 = topDeaths[2];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games3 = topGames[2];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots3 = topHeadshots[2];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags3 = topTelefrags[2];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides3 = topSuicides[2];
			//#4
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player4 = topName[3];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score4 = topScore[3];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths4 = topDeaths[3];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games4 = topGames[3];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots4 = topHeadshots[3];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags4 = topTelefrags[3];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides4 = topSuicides[3];
			//#5
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player5 = topName[4];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score5 = topScore[4];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths5 = topDeaths[4];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games5 = topGames[4];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots5 = topHeadshots[4];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags5 = topTelefrags[4];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides5 = topSuicides[4];
			//#6
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player6 = topName[5];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score6 = topScore[5];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths6 = topDeaths[5];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games6 = topGames[5];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots6 = topHeadshots[5];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags6 = topTelefrags[5];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides6 = topSuicides[5];
			//#7
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player7 = topName[6];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score7 = topScore[6];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths7 = topDeaths[6];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games7 = topGames[6];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots7 = topHeadshots[6];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags7 = topTelefrags[6];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides7 = topSuicides[6];
			//#8
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player8 = topName[7];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score8 = topScore[7];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths8 = topDeaths[7];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games8 = topGames[7];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots8 = topHeadshots[7];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags8 = topTelefrags[7];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides8 = topSuicides[7];
			//#9
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player9 = topName[8];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score9 = topScore[8];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths9 = topDeaths[8];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games9 = topGames[8];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots9 = topHeadshots[8];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags9 = topTelefrags[8];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides9 = topSuicides[8];
			//#10
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player10 = topName[9];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score10 = topScore[9];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths10 = topDeaths[9];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games10 = topGames[9];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots10 = topHeadshots[9];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags10 = topTelefrags[9];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides10 = topSuicides[9];
			//#11
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player11 = topName[10];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score11 = topScore[10];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths11 = topDeaths[10];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games11 = topGames[10];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots11 = topHeadshots[10];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags11 = topTelefrags[10];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides11 = topSuicides[10];
			//#12
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player12 = topName[11];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score12 = topScore[11];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths12 = topDeaths[11];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games12 = topGames[11];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots12 = topHeadshots[11];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags12 = topTelefrags[11];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides12 = topSuicides[11];
			//#13
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player13 = topName[12];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score13 = topScore[12];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths13 = topDeaths[12];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games13 = topGames[12];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots13 = topHeadshots[12];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags13 = topTelefrags[12];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides13 = topSuicides[12];
			//#14
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player14 = topName[13];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score14 = topScore[13];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths14 = topDeaths[13];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games14 = topGames[13];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots14 = topHeadshots[13];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags14 = topTelefrags[13];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides14 = topSuicides[13];
			//#15
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player15 = topName[14];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score15 = topScore[14];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths15 = topDeaths[14];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games15 = topGames[14];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots15 = topHeadshots[14];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags15 = topTelefrags[14];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides15 = topSuicides[14];
			//#16
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player16 = topName[15];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score16 = topScore[15];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths16 = topDeaths[15];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games16 = topGames[15];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots16 = topHeadshots[15];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags16 = topTelefrags[15];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides16 = topSuicides[15];
			//#17
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player17 = topName[16];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score17 = topScore[16];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths17 = topDeaths[16];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games17 = topGames[16];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots17 = topHeadshots[16];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags17 = topTelefrags[16];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides17 = topSuicides[16];
			//#18
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player18 = topName[17];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score18 = topScore[17];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths18 = topDeaths[17];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games18 = topGames[17];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots18 = topHeadshots[17];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags18 = topTelefrags[17];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides18 = topSuicides[17];
			//#19
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player19 = topName[18];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score19 = topScore[18];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths19 = topDeaths[18];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games19 = topGames[18];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots19 = topHeadshots[18];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags19 = topTelefrags[18];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides19 = topSuicides[18];
			//#20
			PRI(PlayerPawn(P).PlayerReplicationInfo).Player20 = topName[19];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Score20 = topScore[19];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Deaths20 = topDeaths[19];
			PRI(PlayerPawn(P).PlayerReplicationInfo).Games20 = topGames[19];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topHeadshots20 = topHeadshots[19];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topTelefrags20 = topTelefrags[19];
			PRI(PlayerPawn(P).PlayerReplicationInfo).topSuicides20 = topSuicides[19];
			}
		}
}

function FindTopPlayers()
{
local int i;

	//#1
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[0] )
			{
			topID[0] = ID[i];
			topScore[0] = Score[i];
			topDeaths[0] = Deaths[i];
			topGames[0] = Games[i];
			topName[0] = Name[i];
			topHeadshots[0] = Headshots[i];
			topTelefrags[0] = Telefrags[i];
			topSuicides[0] = Suicides[i];
			}
		}
	//#2
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[1] && ID[i] != topID[0] )
			{
			topID[1] = ID[i];
			topScore[1] = Score[i];
			topDeaths[1] = Deaths[i];
			topGames[1] = Games[i];
			topName[1] = Name[i];
			topHeadshots[1] = Headshots[i];
			topTelefrags[1] = Telefrags[i];
			topSuicides[1] = Suicides[i];
			}
		}
	//#3
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[2] && ID[i] != topID[0] && ID[i] != topID[1] )
			{
			topID[2] = ID[i];
			topScore[2] = Score[i];
			topDeaths[2] = Deaths[i];
			topGames[2] = Games[i];
			topName[2] = Name[i];
			topHeadshots[2] = Headshots[i];
			topTelefrags[2] = Telefrags[i];
			topSuicides[2] = Suicides[i];
			}
		}
	//#4
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[3] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] )
			{
			topID[3] = ID[i];
			topScore[3] = Score[i];
			topDeaths[3] = Deaths[i];
			topGames[3] = Games[i];
			topName[3] = Name[i];
			topHeadshots[3] = Headshots[i];
			topTelefrags[3] = Telefrags[i];
			topSuicides[3] = Suicides[i];
			}
		}
	//#5
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[4] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] )
			{
			topID[4] = ID[i];
			topScore[4] = Score[i];
			topDeaths[4] = Deaths[i];
			topGames[4] = Games[i];
			topName[4] = Name[i];
			topHeadshots[4] = Headshots[i];
			topTelefrags[4] = Telefrags[i];
			topSuicides[4] = Suicides[i];
			}
		}
	//#6
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[5] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] )
			{
			topID[5] = ID[i];
			topScore[5] = Score[i];
			topDeaths[5] = Deaths[i];
			topGames[5] = Games[i];
			topName[5] = Name[i];
			topHeadshots[5] = Headshots[i];
			topTelefrags[5] = Telefrags[i];
			topSuicides[5] = Suicides[i];
			}
		}
	//#7
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[6] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] )
			{
			topID[6] = ID[i];
			topScore[6] = Score[i];
			topDeaths[6] = Deaths[i];
			topGames[6] = Games[i];
			topName[6] = Name[i];
			topHeadshots[6] = Headshots[i];
			topTelefrags[6] = Telefrags[i];
			topSuicides[6] = Suicides[i];
			}
		}
	//#8
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[7] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] )
			{
			topID[7] = ID[i];
			topScore[7] = Score[i];
			topDeaths[7] = Deaths[i];
			topGames[7] = Games[i];
			topName[7] = Name[i];
			topHeadshots[7] = Headshots[i];
			topTelefrags[7] = Telefrags[i];
			topSuicides[7] = Suicides[i];
			}
		}
	//#9
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[8] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] )
			{
			topID[8] = ID[i];
			topScore[8] = Score[i];
			topDeaths[8] = Deaths[i];
			topGames[8] = Games[i];
			topName[8] = Name[i];
			topHeadshots[8] = Headshots[i];
			topTelefrags[8] = Telefrags[i];
			topSuicides[8] = Suicides[i];
			}
		}
	//#10
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[9] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] && ID[i] != topID[8] )
			{
			topID[9] = ID[i];
			topScore[9] = Score[i];
			topDeaths[9] = Deaths[i];
			topGames[9] = Games[i];
			topName[9] = Name[i];
			topHeadshots[9] = Headshots[i];
			topTelefrags[9] = Telefrags[i];
			topSuicides[9] = Suicides[i];
			}
		}
	//#11
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[10] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] && ID[i] != topID[8]
			&& ID[i] != topID[9] )
			{
			topID[10] = ID[i];
			topScore[10] = Score[i];
			topDeaths[10] = Deaths[i];
			topGames[10] = Games[i];
			topName[10] = Name[i];
			topHeadshots[10] = Headshots[i];
			topTelefrags[10] = Telefrags[i];
			topSuicides[10] = Suicides[i];
			}
		}		
	//#12
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[11] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] && ID[i] != topID[8]
			&& ID[i] != topID[9] && ID[i] != topID[10] )
			{
			topID[11] = ID[i];
			topScore[11] = Score[i];
			topDeaths[11] = Deaths[i];
			topGames[11] = Games[i];
			topName[11] = Name[i];
			topHeadshots[11] = Headshots[i];
			topTelefrags[11] = Telefrags[i];
			topSuicides[11] = Suicides[i];
			}
		}
	//#13
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[12] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] && ID[i] != topID[8]
			&& ID[i] != topID[9] && ID[i] != topID[10] && ID[i] != topID[11] )
			{
			topID[12] = ID[i];
			topScore[12] = Score[i];
			topDeaths[12] = Deaths[i];
			topGames[12] = Games[i];
			topName[12] = Name[i];
			topHeadshots[12] = Headshots[i];
			topTelefrags[12] = Telefrags[i];
			topSuicides[12] = Suicides[i];
			}
		}
	//#14
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[13] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] && ID[i] != topID[8]
			&& ID[i] != topID[9] && ID[i] != topID[10] && ID[i] != topID[11] && ID[i] != topID[12] )
			{
			topID[13] = ID[i];
			topScore[13] = Score[i];
			topDeaths[13] = Deaths[i];
			topGames[13] = Games[i];
			topName[13] = Name[i];
			topHeadshots[13] = Headshots[i];
			topTelefrags[13] = Telefrags[i];
			topSuicides[13] = Suicides[i];
			}
		}
	//#15
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[14] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] && ID[i] != topID[8]
			&& ID[i] != topID[9] && ID[i] != topID[10] && ID[i] != topID[11] && ID[i] != topID[12] && ID[i] != topID[13] )
			{
			topID[14] = ID[i];
			topScore[14] = Score[i];
			topDeaths[14] = Deaths[i];
			topGames[14] = Games[i];
			topName[14] = Name[i];
			topHeadshots[14] = Headshots[i];
			topTelefrags[14] = Telefrags[i];
			topSuicides[14] = Suicides[i];
			}
		}
	//#16
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[15] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] && ID[i] != topID[8]
			&& ID[i] != topID[9] && ID[i] != topID[10] && ID[i] != topID[11] && ID[i] != topID[12] && ID[i] != topID[13] && ID[i] != topID[14] )
			{
			topID[15] = ID[i];
			topScore[15] = Score[i];
			topDeaths[15] = Deaths[i];
			topGames[15] = Games[i];
			topName[15] = Name[i];
			topHeadshots[15] = Headshots[i];
			topTelefrags[15] = Telefrags[i];
			topSuicides[15] = Suicides[i];
			}
		}
	//#17
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[16] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] && ID[i] != topID[8]
			&& ID[i] != topID[9] && ID[i] != topID[10] && ID[i] != topID[11] && ID[i] != topID[12] && ID[i] != topID[13] && ID[i] != topID[14] && ID[i] != topID[15] )
			{
			topID[16] = ID[i];
			topScore[16] = Score[i];
			topDeaths[16] = Deaths[i];
			topGames[16] = Games[i];
			topName[16] = Name[i];
			topHeadshots[16] = Headshots[i];
			topTelefrags[16] = Telefrags[i];
			topSuicides[16] = Suicides[i];
			}
		}
	//#18
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[17] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] && ID[i] != topID[8]
			&& ID[i] != topID[9] && ID[i] != topID[10] && ID[i] != topID[11] && ID[i] != topID[12] && ID[i] != topID[13] && ID[i] != topID[14] && ID[i] != topID[15] && ID[i] != topID[16] )
			{
			topID[17] = ID[i];
			topScore[17] = Score[i];
			topDeaths[17] = Deaths[i];
			topGames[17] = Games[i];
			topName[17] = Name[i];
			topHeadshots[17] = Headshots[i];
			topTelefrags[17] = Telefrags[i];
			topSuicides[17] = Suicides[i];
			}
		}
	//#19
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[18] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] && ID[i] != topID[8]
			&& ID[i] != topID[9] && ID[i] != topID[10] && ID[i] != topID[11] && ID[i] != topID[12] && ID[i] != topID[13] && ID[i] != topID[14] && ID[i] != topID[15] && ID[i] != topID[16] && ID[i] != topID[17] )
			{
			topID[18] = ID[i];
			topScore[18] = Score[i];
			topDeaths[18] = Deaths[i];
			topGames[18] = Games[i];
			topName[18] = Name[i];
			topHeadshots[18] = Headshots[i];
			topTelefrags[18] = Telefrags[i];
			topSuicides[18] = Suicides[i];
			}
		}
	//#20
	for (i=0;i<10000;i++)
		{
		if ( Score[i] > topScore[19] && ID[i] != topID[0] && ID[i] != topID[1] && ID[i] != topID[2] && ID[i] != topID[3] && ID[i] != topID[4] && ID[i] != topID[5] && ID[i] != topID[6] && ID[i] != topID[7] && ID[i] != topID[8]
			&& ID[i] != topID[9] && ID[i] != topID[10] && ID[i] != topID[11] && ID[i] != topID[12] && ID[i] != topID[13] && ID[i] != topID[14] && ID[i] != topID[15] && ID[i] != topID[16] && ID[i] != topID[17] && ID[i] != topID[18] )
			{
			topID[19] = ID[i];
			topScore[19] = Score[i];
			topDeaths[19] = Deaths[i];
			topGames[19] = Games[i];
			topName[19] = Name[i];
			topHeadshots[19] = Headshots[i];
			topTelefrags[19] = Telefrags[i];
			topSuicides[19] = Suicides[i];
			}
		}
}

defaultproperties
{
bAlreadyUpdated=False
}
